"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const vitest_1 = require("vitest");
// Test for https://github.com/remotion-dev/remotion/issues/1243
(0, vitest_1.test)('Should not have disableRemotePlayback props in the <VideoForDevelopment> component type definition', () => {
    const file = path_1.default.resolve(process.cwd(), 'dist', 'esm', 'video', 'VideoForDevelopment.d.ts');
    const read = fs_1.default.readFileSync(file, 'utf-8');
    (0, vitest_1.expect)(read).not.toContain('disableRemotePlayback');
    (0, vitest_1.expect)(read).toContain('volume-prop');
});
(0, vitest_1.test)('Should not have disableRemotePlayback props in the <VideoForRendering> component type definition', () => {
    const file = path_1.default.resolve(process.cwd(), 'dist', 'esm', 'video', 'VideoForRendering.d.ts');
    const read = fs_1.default.readFileSync(file, 'utf-8');
    (0, vitest_1.expect)(read).not.toContain('disableRemotePlayback');
    (0, vitest_1.expect)(read).toContain('volume-prop');
});
(0, vitest_1.test)('Should not have disableRemotePlayback props in the <AudioForDevelopment> component type definition', () => {
    const file = path_1.default.resolve(process.cwd(), 'dist', 'esm', 'audio', 'AudioForDevelopment.d.ts');
    const read = fs_1.default.readFileSync(file, 'utf-8');
    (0, vitest_1.expect)(read).not.toContain('aria-disabled');
    (0, vitest_1.expect)(read).toContain('volume-prop');
});
(0, vitest_1.test)('Should not have disableRemotePlayback props in the <AudioForRendering> component type definition', () => {
    const file = path_1.default.resolve(process.cwd(), 'dist', 'esm', 'audio', 'AudioForRendering.d.ts');
    const read = fs_1.default.readFileSync(file, 'utf-8');
    (0, vitest_1.expect)(read).not.toContain('aria-disabled');
    (0, vitest_1.expect)(read).toContain('volume-prop');
});
