"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 * @vitest-environment jsdom
 */
const react_1 = require("@testing-library/react");
const vitest_1 = require("vitest");
const CanUseRemotionHooks_js_1 = require("../CanUseRemotionHooks.js");
const freeze_js_1 = require("../freeze.js");
const internals_js_1 = require("../internals.js");
const Sequence_js_1 = require("../Sequence.js");
const use_video_config_js_1 = require("../use-video-config.js");
const wrap_sequence_context_js_1 = require("./wrap-sequence-context.js");
const Inner = () => {
    const config = (0, use_video_config_js_1.useVideoConfig)();
    return (0, jsx_runtime_1.jsx)("div", { children: config.durationInFrames });
};
const context = {
    audioAndVideoTags: { current: [] },
    frame: 10000,
    imperativePlaying: {
        current: false,
    },
    playbackRate: 0,
    playing: false,
    rootId: 'hither',
    setPlaybackRate: () => undefined,
};
(0, vitest_1.describe)('Composition-validation render should NOT throw with valid props', () => {
    (0, vitest_1.test)('It should allow undefined as children', () => {
        const { queryByText } = (0, react_1.render)((0, jsx_runtime_1.jsx)(CanUseRemotionHooks_js_1.CanUseRemotionHooksProvider, { children: (0, jsx_runtime_1.jsx)(wrap_sequence_context_js_1.WrapSequenceContext, { children: (0, jsx_runtime_1.jsx)(internals_js_1.Internals.Timeline.TimelineContext.Provider, { value: context, children: (0, jsx_runtime_1.jsx)(freeze_js_1.Freeze, { frame: 10000, children: (0, jsx_runtime_1.jsx)(Sequence_js_1.Sequence, { durationInFrames: 2424, from: 9265, children: (0, jsx_runtime_1.jsx)(Inner, {}) }) }) }) }) }));
        (0, vitest_1.expect)(queryByText(/^0$/)).not.toBe(null);
    });
});
