import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useLayoutEffect, useMemo, useState } from 'react';
export const NativeLayersContext = createContext({
    setClipRegion: () => {
        throw new Error('NativeLayers not set');
    },
    clipRegion: null,
});
export const NativeLayersProvider = ({ children, }) => {
    const [clipRegion, setClipRegion] = useState(null);
    const context = useMemo(() => {
        return {
            setClipRegion,
            clipRegion,
        };
    }, [clipRegion, setClipRegion]);
    useLayoutEffect(() => {
        if (typeof window !== 'undefined') {
            window.remotion_getClipRegion = () => {
                return clipRegion;
            };
        }
    }, [clipRegion, setClipRegion]);
    return (_jsx(NativeLayersContext.Provider, { value: context, children: children }));
};
