import { Children, isValidElement } from 'react';
const HIDDEN_NAMES = ['__WEBPACK_DEFAULT_EXPORT__'];
export const getTimelineClipName = (children) => {
    var _a;
    const tree = (_a = Children.map(children, (ch) => {
        if (!isValidElement(ch)) {
            return null;
        }
        // Must be name, not ID
        const name = typeof ch.type !== 'string' && ch.type.name;
        if (name && !HIDDEN_NAMES.includes(name)) {
            return name;
        }
        if (ch.props.children) {
            const chName = getTimelineClipName(ch.props.children);
            return chName;
        }
        return null;
    })) === null || _a === void 0 ? void 0 : _a.filter(Boolean);
    return (tree === null || tree === void 0 ? void 0 : tree.length) ? tree[0] : '';
};
