import { createContext, useContext, useEffect, useState } from 'react';
export const NonceContext = createContext({
    getNonce: () => 0,
    fastRefreshes: 0,
});
export const useNonce = () => {
    const context = useContext(NonceContext);
    const [nonce, setNonce] = useState(() => context.getNonce());
    useEffect(() => {
        setNonce(context.getNonce);
    }, [context]);
    return nonce;
};
