import { jsx as _jsx } from "react/jsx-runtime";
/**
 * @vitest-environment jsdom
 */
import { render } from '@testing-library/react';
import React, { useContext } from 'react';
import { describe, expect, test } from 'vitest';
import { Audio } from '../audio';
import { CanUseRemotionHooksProvider } from '../CanUseRemotionHooks.js';
import { Internals } from '../internals.js';
const Wrapper = ({ children }) => {
    const compositions = useContext(Internals.CompositionManager);
    return (_jsx(CanUseRemotionHooksProvider, { children: _jsx(Internals.RemotionRoot, { numberOfAudioTags: 0, children: _jsx(Internals.CompositionManager.Provider
            // eslint-disable-next-line react/jsx-no-constructed-context-values
            , { 
                // eslint-disable-next-line react/jsx-no-constructed-context-values
                value: {
                    ...compositions,
                    compositions: [
                        {
                            height: 1080,
                            width: 1080,
                            fps: 30,
                            durationInFrames: 30,
                            id: 'markup',
                            nonce: 0,
                            component: React.lazy(() => Promise.resolve({
                                default: (() => null),
                            })),
                            defaultProps: undefined,
                            folderName: null,
                            parentFolderName: null,
                        },
                    ],
                    currentComposition: 'markup',
                }, children: children }) }) }));
};
describe('Render correctly with props', () => {
    test('It should render Audio without startFrom / endAt props', () => {
        expect(() => render(_jsx(Wrapper, { children: _jsx(Audio, { src: "test", volume: 1 }) }))).not.toThrow();
    });
    test('It should render Audio with startAt  props', () => {
        expect(() => render(_jsx(Wrapper, { children: _jsx(Audio, { src: "test", volume: 1, startFrom: 10 }) }))).not.toThrow();
    });
    test('It should render Audio with endAt props', () => {
        expect(() => render(_jsx(Wrapper, { children: _jsx(Audio, { src: "test", volume: 1, endAt: 10 }) }))).not.toThrow();
    });
    test('It should render Audio with startFrom and endAt props', () => {
        expect(() => render(_jsx(Wrapper, { children: _jsx(Audio, { src: "test", volume: 1, startFrom: 10, endAt: 20 }) }))).not.toThrow();
    });
});
