export const validateFolderName = (name) => {
    if (name === undefined || name === null) {
        throw new TypeError('You must pass a name to a <Folder />.');
    }
    if (typeof name !== 'string') {
        throw new TypeError(`The "name" you pass into <Folder /> must be a string. Got: ${typeof name}`);
    }
    if (!isFolderNameValid(name)) {
        throw new Error(`Folder name can only contain a-z, A-Z, 0-9 and -. You passed ${name}`);
    }
};
const getRegex = () => /^([a-zA-Z0-9-])+$/g;
export const isFolderNameValid = (name) => name.match(getRegex());
export const invalidFolderNameErrorMessage = `Folder name must match ${String(getRegex())}`;
